Bug 71691 - traceroute should start as user root
traceroute should start as user root
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: mtr (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-16 14:44 EDT by Taco Witte
Modified: 2015-03-04 20:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-19 07:41:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Taco Witte 2002-08-16 14:44:40 EDT
Description of Problem:
Traceroute cannot be run as normal user, and currently simply doesn't do
anything (when run from terminal, it produces an error message telling it cannot
be run as non-root).
It should ask for the root password, so that it can run as root.

Version-Release number of selected component (if applicable):
Limbo2, no upgrade.

How Reproducible:
Always

Steps to Reproduce:
1. Try running Traceroute from "All Applications | Internet"

Actual Results:
Nothing. When run from a terminal:
-----------
mtr: Unable to get raw socket.  (Executable not suid?)
-----------
(Making the executable suid root is a *bad* suggestion; it doesn't even work!)

Expected Results:
Asking root password, and afterwards running as root.

Additional Information:
None that I know
Comment 1 Pekka Savola 2002-08-19 07:09:27 EDT
Umm, isn't this an mtr problem?  Changing component.

Anyway, running a program as root is much worse IMO than setting it setuid.  If
setuid doesn't work, it should be fixed.
Comment 2 Taco Witte 2002-08-19 07:24:57 EDT
I agree that setuid is safer than running things as root, but in this case it's
better. This is the result of running xmtr as normal user, with the executable
set as setuid:

-----------------------------------
Gtk-WARNING **: This process is currently running setuid or setgid.
This is not a supported use of GTK+. You must create a helper
program instead. For further details, see:

    http://www.gtk.org/setuid.html

Refusing to initialize GTK+.
------------------------------------

I think it's simply a little mistake that it doesn't ask for the root password,
like configuration programs do.
Comment 3 Phil Knirsch 2002-08-19 07:33:25 EDT
Mtr has as history for exploits, thats why is has never been setuid in our
distribution and why will stay like that.

Anyone is free to setuid the binary himself, but we can't and won't do it by
default in our distribution.

A general rule for our distro is to have as little setuid binaries as possible,
and mtr just doesn't meet the code quality required to be setuid.

What i thought we already had done was to make xmtr consolehelper aware, but
from what i see it doesn't look like it. I'll fix that, that should be the best
of both worlds and thats what we generally do for x11 apps that require root
privileges.

Read ya, Phil
Comment 4 Taco Witte 2002-08-19 07:41:13 EDT
Thanks
Comment 5 Phil Knirsch 2002-08-19 08:12:01 EDT
OK, fixed in latest rawhide version mtr-0.49-7

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.